Loading...
Searching...
No Matches
pcl::cuda::OrganizedRadiusSearch< CloudPtr > Class Template Reference

Kernel to compute a radius neighborhood given a organized point cloud (aka range image cloud). More...

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/common/eigen.h>`

## Public Member Functions

| OrganizedRadiusSearch (const CloudPtr &input, float focalLength, float sqr_radius)
__host__ __device__ int4 | getProjectedRadiusSearchBox (const float3 &point_arg)
__host__ __device__ int | radiusSearch (const float3 &query_pt, int k_indices[], int max_nnn)
__host__ __device__ int | computeCovarianceOnline (const float3 &query_pt, CovarianceMatrix &cov, float sqrt_desired_nr_neighbors)
__host__ __device__ float3 | computeCentroid (const float3 &query_pt, CovarianceMatrix &cov, float sqrt_desired_nr_neighbors)

## Public Attributes

float | focalLength_
const PointXYZRGB * | points_
int | width_
int | height_
float | sqr_radius_

## Detailed Description

template<typename CloudPtr>
class pcl::cuda::OrganizedRadiusSearch< CloudPtr >

Kernel to compute a radius neighborhood given a organized point cloud (aka range image cloud).

Definition at line 524 of file eigen.h.

## Constructor & Destructor Documentation

## OrganizedRadiusSearch()

template<typename CloudPtr>

pcl::cuda::OrganizedRadiusSearch< CloudPtr >::OrganizedRadiusSearch | ( | const CloudPtr & | input,
|  | float | focalLength,
|  | float | sqr_radius )

inline

Definition at line 527 of file eigen.h.

References focalLength_, height_, points_, sqr_radius_, and width_.

## Member Function Documentation

## computeCentroid()

template<typename CloudPtr>

__host__ __device__ float3 pcl::cuda::OrganizedRadiusSearch< CloudPtr >::computeCentroid | ( | const float3 & | query_pt,
|  | CovarianceMatrix & | cov,
|  | float | sqrt_desired_nr_neighbors )

inline

Definition at line 705 of file eigen.h.

References getProjectedRadiusSearchBox(), height_, points_, sqr_radius_, and width_.

## computeCovarianceOnline()

template<typename CloudPtr>

__host__ __device__ int pcl::cuda::OrganizedRadiusSearch< CloudPtr >::computeCovarianceOnline | ( | const float3 & | query_pt,
|  | CovarianceMatrix & | cov,
|  | float | sqrt_desired_nr_neighbors )

inline

Definition at line 622 of file eigen.h.

References pcl::cuda::CovarianceMatrix::data, getProjectedRadiusSearchBox(), height_, points_, sqr_radius_, and width_.

## getProjectedRadiusSearchBox()

template<typename CloudPtr>

__host__ __device__ int4 pcl::cuda::OrganizedRadiusSearch< CloudPtr >::getProjectedRadiusSearchBox | ( | const float3 & | point_arg | ) |

inline

Definition at line 540 of file eigen.h.

References focalLength_, height_, sqr_radius_, and width_.

Referenced by computeCentroid(), computeCovarianceOnline(), and radiusSearch().

## radiusSearch()

template<typename CloudPtr>

__host__ __device__ int pcl::cuda::OrganizedRadiusSearch< CloudPtr >::radiusSearch | ( | const float3 & | query_pt,
|  | int | k_indices[],
|  | int | max_nnn )

inline

Definition at line 590 of file eigen.h.

References getProjectedRadiusSearchBox(), points_, sqr_radius_, and width_.

## Member Data Documentation

## focalLength_

template<typename CloudPtr>

float pcl::cuda::OrganizedRadiusSearch< CloudPtr >::focalLength_

Definition at line 765 of file eigen.h.

Referenced by getProjectedRadiusSearchBox(), and OrganizedRadiusSearch().

## height_

template<typename CloudPtr>

int pcl::cuda::OrganizedRadiusSearch< CloudPtr >::height_

Definition at line 767 of file eigen.h.

Referenced by computeCentroid(), computeCovarianceOnline(), getProjectedRadiusSearchBox(), and OrganizedRadiusSearch().

## points_

template<typename CloudPtr>

const PointXYZRGB* pcl::cuda::OrganizedRadiusSearch< CloudPtr >::points_

Definition at line 766 of file eigen.h.

Referenced by computeCentroid(), computeCovarianceOnline(), OrganizedRadiusSearch(), and radiusSearch().

## sqr_radius_

template<typename CloudPtr>

float pcl::cuda::OrganizedRadiusSearch< CloudPtr >::sqr_radius_

Definition at line 768 of file eigen.h.

Referenced by computeCentroid(), computeCovarianceOnline(), getProjectedRadiusSearchBox(), OrganizedRadiusSearch(), and radiusSearch().

## width_

template<typename CloudPtr>

int pcl::cuda::OrganizedRadiusSearch< CloudPtr >::width_

Definition at line 767 of file eigen.h.

Referenced by computeCentroid(), computeCovarianceOnline(), getProjectedRadiusSearchBox(), OrganizedRadiusSearch(), and radiusSearch().

The documentation for this class was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/common/eigen.h